Skip to main content
`Ctrl`+`K`

# PCFactorGetShiftType

Gets the type of shift, if any, done when a zero pivot is detected

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCFactorGetShiftType(PC pc, MatFactorShiftType *type)

Not Collective

## Input Parameter

- pc - the preconditioner context

## Output Parameter

- type - one of `MAT_SHIFT_NONE`, `MAT_SHIFT_NONZERO`, `MAT_SHIFT_POSITIVE_DEFINITE`, or `MAT_SHIFT_INBLOCKS`

## See Also

KSP: Linear System Solvers, `PCLU`, `PCCHOLESKY`, `PCFactorSetShiftType()`, `MatFactorShiftType`, `PCFactorSetShiftAmount()`, `PCFactorGetShiftAmount()`

## Level

intermediate

## Location

src/ksp/pc/impls/factor/factor.c

## Implementations

PCFactorGetShiftType_Factor() in src/ksp/pc/impls/factor/factimpl.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages